<app-menu></app-menu>
<div class="row">
  <div class="col-md-8">
    <div class="container mt-4 mb-4">
      <h1>Dashboard</h1>
      <div class="card">
        <div class="card-body">
          <div class="row">
            <div class="col-md-4 text-center">
              <b>Total Mascarillas donadas</b>
              <p class="lead">1.210</p>
            </div>
            <div class="col-md-4 text-center">
              <b>Total Viseras donadas</b>
              <p class="lead">1.210</p>
            </div>
            <div class="col-md-4 text-center">
              <b>Total Filamentos donados</b>
              <p class="lead">1.210</p>
            </div>
          </div>
        </div>
      </div>
      <div class="row mt-3">
        <div class="col-md-6">
          <p class="lead">Donaciones Mascarillas / Viseras</p>
          <line-chart [lineChartData]="this.dataUno" [lineChartLabels]="this.labelUno"></line-chart>
        </div>
        <div class="col-md-6">
          <p class="lead">Donaciones filamentos</p>
          <line-chart [lineChartData]="dataDos" [lineChartLabels]="this.labelDos"></line-chart>
        </div>
      </div>
    
      <div class="row mt-4">
        <div class="col-md-6">
          <p class="lead">Mis estadisticas</p>
          <pie-chart [pieChartLabels]="this.misEstadisticas.label" [pieChartData]="this.misEstadisticas.data"></pie-chart>
        </div>
      </div>
    </div>
  </div>
  <div class="col-md-4 active-requests-panel">
    <div class="container mt-4 mb-4">
      <h3>Solicitudes activas</h3>

      <div class="curr-requests">
        <div class="card mt-2" *ngFor="let request of requests; let i = index">
          <div class="card-body" *ngIf="(request.amount-request.total) > 0">
            <h5>Solicitud {{ request.category }}</h5>
            <p class="mb-0 pb-0"><i class="fas fa-user"></i> {{ request.user.name}}</p>
            <p><i class="fas fa-hospital-user"></i> {{ request.user.institution }}</p>
            <b><i class="fas fa-user-clock text-success"></i> Makers comprometidos: {{ request.acceptedRequest.length }}</b> <br>
            <b><i class="fas fa-hand-holding-medical text-warning"></i> Cantidad necesaria: {{ request.amount }}</b> <br>
            <b><i class="fas fa-hand-holding-medical text-danger"></i> Cantidad faltante: {{ request.amount - request.total }}</b> <br>
            <b>Detalle: </b>
            <div class="form-group">
              <textarea class="form-control" readonly rows="2">{{ request.detail }}</textarea>
            </div>

            <form (ngSubmit)="onSubmit(request, i)">
              <div class="form-group">
                <label for="amount" class="form-label">Cantidad con la que me comprometo</label>
                <input type="number" [(ngModel)]="amount[i]" name="amount[{{i}}]" min="0" class="form-control" required>
              </div>
              <div class="form-group">
                <label for="amount" class="form-label">Nota</label>
                <textarea class="form-control" required [(ngModel)]="note[i]" name="note[{{i}}]" rows="2">{{ request.detail }}</textarea>
              </div>
              <button class="btn btn-primary mb-2" type="submit">Donar</button>
            </form>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>